在IE9使用

flatpickr应该可以在IE10 +,Safari 6 +,Firefox和Chrome中直接使用。

IE9

flatpickr取决于 classList IE9中缺少的那个,因此,如果您要定位IE9,则需要包含一个 polyfill.

此外,flatpickr具有IE9的特定样式。

确保利用浏览器检测也将其包括在内。

例如,

<!--[if IE 9]>
<link rel="stylesheet" type="text/css" href="https://npmcdn.com/flatpickr/dist/ie.css">
<![endif]-->

如果您使用的是像webpack这样的捆绑程序,请参见 html-webpack-plugin